package omp

type Header struct {
	Data []byte
}


//TODO: It must be create dynamically for different kinds of entities (patch, maquette, etc)
func (h *Header) Init() {
	h.Data = []byte(`; OM File Header - Saved 2022/12/29 14:43:16
; (6.19 :patc (om-make-point 10 10) (om-make-point 50 50) (om-make-point 500 400) "" 183 0 "2022/12/29 14:43:16" "2022/12/29 14:43:16")
; End File Header
`)
}

func (h *Header) GetData() []byte {
	return h.Data
}

func (h *Header) DataToString() string {
	return string(h.Data)
}
